<template>
    <div>
        <form @submit.prevent="login()" v-if="!logged">
            <label for="email">Email</label>
            <input type="email" name="email" id="email" v-model="user.email">
            <label for="password">Password</label>
            <input type="password" name="password" id="password" v-model="user.password">
            <button>Se connecter</button>
        </form>
        <button v-if="logged" @click="logout()">Logout</button>
        <p>{{this.message}}</p>
    </div>
</template>

<script>
import { Auth } from '../services/auth';

export default {
    name: 'Login',
    data() {
        return {
            user: {
                email: "",
                password: ""
            },
            logged: false,
            message: ""
        }
    },
    mounted(){
        if (localStorage.getItem('token')) {
            this.logged = true;
        }
    },
    methods: {
        login() {
            let auth = new Auth();
            auth.login(this.user.email, this.user.password)
                .then((success) => (this.logged = true)
                ).catch(errors => (this.message = errors))
        },
        logout() {
            localStorage.removeItem('token');
            this.logged = false;
        }
    }

}
</script>

<style>
</style>
